Mailinglist Archive: opensuse (2831 mails)

< Previous Next >
Re: [SLE] adding mp3 support for gstreamer / rhythmbox on SuSE 10.1
  • From: Zhang Weiwu <zhangweiwu@xxxxxxxxxx>
  • Date: Sun, 02 Jul 2006 02:19:13 +0800
  • Message-id: <1151777953.9710.6.camel@xxxxxxxxxxxxxxxx>
在 2006-07-02日的 01:46 +0800,Zhang Weiwu写道:
> Hello. I bet I am not the first one confused by this. I already hang
> there one hour trying to figure out how to do this without any clue.
>
> SuSE 10.1 installs Totem without mp3 support, as always. I googled a lot
> and discovered a gstream plugin for mp3 (using on mad) should make both
> Totem and Rhythmbox accept MP3. A webpage told me the need package is
> gstreamer-plugins-extra-mad and mad
>
> Later is very easy to find on packman, gstreamer-plugins-extra-mad is
> damned difficult to find. I discovered
> gstreamer-plugins-extra-mad-0.8.11-3.i586.rpm which resulted dependency
> error:
> error: Failed dependencies:
> gstreamer = 0.8.11 is needed by
> gstreamer-plugins-extra-mad-0.8.11-3.i586
> gstreamer-plugins = 0.8.11 is needed by
> gstreamer-plugins-extra-mad-0.8.11-3.i586
> gstreamer-plugins-default = 0.8.11 is needed by
> gstreamer-plugins-extra-mad-0.8.11-3.i586
> libgstreamer-0.8.so.1 is needed by
> gstreamer-plugins-extra-mad-0.8.11-3.i586
>
> I cannot find gstreamer-plugins-extra-mad particularly for 10.1 on
> Google too. Actually I searched over hours to trying figure it out.
> Stragely there are two few people on the internet ask the same question
> when I google it. A lot of people do asked about SuSE <10.1, answers
> cannot be applied on 10.1. some answers about how to play mp3 ignores
> gstream (e.g. http://linuxmint.com/content/view/200/51/)
>
> Generally, trying to play mp3 on SuSE 10.1 could be a painful experience
> (I already took a lot of time pain figured out I need a mp3 plug in for
> Banshee, but Banshee has other problems that I has to switch to
> rhythmbox)
>
>

On this page
http://www.linuxquestions.org/questions/showthread.php?t=114094 it is
suggested libtunepimp-faad2-0.4.2-1.guru.suse101.i686.rpm might help. In
order to get this installed I used libtunepime from Guru, libmp4v2 from
packman and the result is even this package installed, Totem gives same
error message:
You do not have a decoder installed to handle this file. You
might need to install the necessary plugins.

P. S.

For other newbies like me, the resource listed in this page looks very
helpful:
http://en.opensuse.org/Additional_YaST_Package_Repositories

But still, knowing where to find rpm is one thing, knowing what rpm to
look for is another, like my case with gstreamer, I use guru/packman
too, but I took hours still not able to find out what package can add
mp3 support to gstreamer.


--
Check the headers for your unsubscription address
For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
Also check the archives at http://lists.suse.com
Please read the FAQs: suse-linux-e-faq@xxxxxxxx


< Previous Next >
This Thread
References